<div style="display:inline-block;float:left;width:100%;margin-bottom: 2px;border:1px solid #e1e1e1;padding: 0px 12px;border-radius: 3px;">
  <span class="select2 select2-container select2-container--default" dir="ltr" data-select2-id="72">
    <span class="selection">
      <span class="select2-selection select2-selection--multiple" role="combobox" aria-haspopup="true"
        aria-expanded="false" tabindex="-1" style="display: flex;">
        <ng-container *ngIf="autoSelectedItem">
          <ul class="select2-selection__rendered autoCompleteUL" [attr.disabled]="attrDisabled"
            style="display: contents;float:left;">
            <ng-container *ngFor="let item of autoSelectedItem">
              <li class="select2-selection__choice" data-select2-id="75" style="padding: 2px 5px 2px 5px;margin: 1px 8px 2px 0px!important;min-height: calc(1.4285714286em + 4px);
                padding: 1px 4px;
                margin: 2px 0 0 2px;
                cursor: default;
                display: -webkit-inline-box;
                display: inline-flex;
                -webkit-box-orient: horizontal;
                -webkit-box-direction: normal;
                flex-direction: row;
                -webkit-box-align: center;
                align-items: center;
                line-height: inherit;
                white-space: normal;
                border:1px solid #d9d9d9;border-radius: 3px;background-color: #f1f1f1;">
                <span style="font-size: 13px;">{{item[textField]}}</span>
                <span class="select2-selection__choice__remove" style="display: flex;
                cursor: pointer;
                margin-left: 8px;
                align-self: stretch; position: relative;top: 2px;" role="presentation"
                  (click)="removeAutoItem(item)">×</span>
              </li>
            </ng-container>
          </ul>
        </ng-container>
        <input type="text" class="auto-search-no-border extender-input form-control" [attr.id]="attrId"
          [(ngModel)]="autocompeleteText" [placeholder]="(attrDisabled)?'':placeHolder"
          [formControl]="searchTerm" (ngModelChange)="change($event)" autocomplete="off"
          style="width: 170px;border:none;padding: 0;" disabled="true" *ngIf="attrDisabled">
        <input type="text" class="auto-search-no-border extender-input form-control" [attr.id]="attrId"
          [(ngModel)]="autocompeleteText" [placeholder]="placeHolder" [formControl]="searchTerm" (keydown.Tab)="onKey($event)"
          (ngModelChange)="change($event)" autocomplete="off" style="width: 170px;border:none;padding:0;" *ngIf="!attrDisabled && autoSelectedItem?.length<5">
      </span>
    </span>
  </span>
  <div class="search-result" *ngIf="autoSearchList && flag">
    <ul style="max-height: 300px; overflow: auto;padding:1px 0px 0px 0px;" class="search-bar">
      <li *ngFor="let item of autoSearchList" (click)="onSelect(item)">
        <span [innerHTML]="(item[textField])"></span>
      </li>
    </ul>
  </div>
</div>